## pocketsphinx 0.8.0+real

=== swig/Makefile ===
CFLAGS := -g -Wall -DPIC -fPIC
CPPFLAGS := -I/usr/lib/jvm/default-java/include `pkg-config --cflags sphinxbase pocketsphinx`

all: libpocketsphinx_jni.so

libpocketsphinx_jni.so: pocketsphinx_wrap.o
	$(CC) -shared -o $@ pocketsphinx_wrap.o `pkg-config --libs sphinxbase pocketsphinx`

pocketsphinx_wrap.c: pocketsphinx.i
	mkdir -p edu/cmu/pocketsphinx
	swig -I../include -I../../sphinxbase/include \
		-java -package edu.cmu.pocketsphinx \
		-outdir edu/cmu/pocketsphinx pocketsphinx.i

clean:
	$(RM) *.so *_wrap.c *_wrap.o *.class edu/cmu/pocketsphinx/*.class

## pocketsphinx 0.5.1-0

=== debian/changelog ===
pocketsphinx (0.5.1-0) unstable; urgency=low

  * Build for Fremantle

 -- Simon Pickering <S.G.Pickering@bath.ac.uk>  Tue, 10 Nov 2009 17:51:00 +0000

=== debian/control ===
Source: pocketsphinx
Section: sound
Priority: optional
Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 4.2.21), sphinxbase
XSBC-Original-Maintainer: Isaac Clerencia <isaac@debian.org>
Maintainer: Simon Pickering <S.G.Pickering@bath.ac.uk>
Standards-Version: 3.7.3

Package: pocketsphinx
Architecture: armel
Depends: ${shlibs:Depends}
Description: speech recognition utilities
 Sphinx is a real-time, speaker-independent speech recognition system.
 .
 This package contains Pocketsphinx.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_INSTALL_CHANGELOGS_ALL := ChangeLog
DEB_DH_MAKESHLIBS_ARGS_ALL := -V

## pocketsphinx 0.6.1-1

=== debian/changelog ===
pocketsphinx (0.6.1-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Gopalakrishna Bhat A <gopalakbhat@gmail.com>  Fri,  3 Sep 2010 07:53:31 +0530

=== debian/control ===
Source: pocketsphinx
Priority: extra
Maintainer: Gopalakrishna Bhat A <gopalakbhat@gmail.com>
Build-Depends: debhelper (>= 5), autotools-dev, libsphinxbase-dev, libgstreamer0.10-dev, libgstreamer-plugins-base0.10-dev, libasound2-dev, python2.5-dev, python2.5-dbg, python-support (>= 0.3)
Standards-Version: 3.7.2
Section: libs

Package: libpocketsphinx-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpocketsphinx1 (= ${binary:Version})
Description: Development files for Pocketsphinx.
 PocketSphinx is a lightweight, cross-platform, speaker-independent,
 large-vocabulary continuous speech recognition engine. This package contains the developemnt headers for it.

Package: libpocketsphinx1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: lightweight speech recognition - library
 PocketSphinx is a lightweight, cross-platform, speaker-independent,
 large-vocabulary continuous speech recognition engine. This package contains shared objects for it.

Package: gstreamer0.10-pocketsphinx
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: pocketsphinx-hmm-en-hub4wsj, pocketsphinx-lm-en-hub4
Description: lightweight speech recognition - GStreamer plugin
 PocketSphinx is a lightweight, cross-platform, speaker-independent,
 large-vocabulary continuous speech recognition engine.
 .
 This package contains the GStreamer plugin for PocketSphinx.

Package: pocketsphinx-hmm-en-hub4wsj
Architecture: all
Depends: ${misc:Depends}
Description: Lightweight speech recognition - English acoustic model
 PocketSphinx is a lightweight, cross-platform, speaker-independent,
 large-vocabulary continuous speech recognition engine.
 .
 This package contains the default US English acoustic model for PocketSphinx. It was trained from 330 hours of speech, recorded on a close-talking microphone and downsampled to 8kHz.

Package: pocketsphinx-lm-en-hub4
Architecture: all
Depends: ${misc:Depends}
Description: Lightweight speech recognition - HUB4 language model
 PocketSphinx is a lightweight, cross-platform, speaker-independent,
 large-vocabulary continuous speech recognition engine.
 .
 This package contains the default language model for PocketSphinx.
 It was trained from approximately 160 million words of broadcast news text from the HUB4 corpus, and has a vocabulary of 5000 word types.

Package: pocketsphinx-zh-tidigits
Architecture: all
Depends: ${misc:Depends}
Description: lightweight speech recognition - Mandarin acoustic models
 PocketSphinx is a lightweight, cross-platform, speaker-independent,
 large-vocabulary continuous speech recognition engine.
 .
 This package contains the default Mandarin acoustic model for PocketSphinx. It was trained from 50 hours of broadcast news and conversation speecd downsampled to 8khz.

Package: pocketsphinx-lm-zh-hant-gigatdt
Architecture: all
Depends: ${misc:Depends}
Description: Lightweight speech recognition - Traditional Chinese language model
 PocketSphinx is a lightweight, cross-platform, speaker-independent,
 large-vocabulary continuous speech recognition engine.
 .
 This package contains the default Traditional Chinese language model
 for PocketSphinx.  It was trained from Gigaword-2 and TDT4 news
 corpora, and has a vocabulary of 5000 word types.

Package: pocketsphinx-hmm-en-tidigits
Architecture: all
Depends: ${misc:Depends}
Description: lightweight speech recognition - TIDIGITS models
 PocketSphinx is a lightweight, cross-platform, speaker-independent,
 large-vocabulary continuous speech recognition engine.
 .
 This package contains an acoustic model and accompanying "language
 model" trained specifically for connected digit recognition.  It was
 trained from the TIDIGITS corpus of spoken digits, recorded on a
 close-talking microphone and downsampled to 8kHz.

Package: pocketsphinx-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpocketsphinx1 (= ${binary:Version})
Recommends: pocketsphinx-hmm-en-hub4wsj | pocketsphinx-hmm-zh-tdt | pocketsphinx-hmm-en-tidigits, pocketsphinx-lm-en-hub4 | pocketsphinx-lm-zh-hans-gigatdt | pocketsphinx-lm-zh-hant-gigatdt
Description: lightweight speech recognition - command-line tools
 PocketSphinx is a lightweight, cross-platform, speaker-independent,
 large-vocabulary continuous speech recognition engine.
 .
 This package contains command-line utilities for the PocketSphinx
 recognition engine.

Package: python-pocketsphinx
Section: python
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-sphinxbase
Provides: ${python:Provides}
Description: lightweight speech recognition - Python module
 PocketSphinx is a lightweight, cross-platform, speaker-independent,
 large-vocabulary continuous speech recognition engine.
 .
 This package contains a Python module which provides access to most
 of the PocketSphinx API.

Package: python-pocketsphinx-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-pocketsphinx, python-dbg
Provides: ${python:Provides}
Description: lightweight speech recognition - Python module (debug version)
 PocketSphinx is a lightweight, cross-platform, speaker-independent,
 large-vocabulary continuous speech recognition engine.
 .
 This package contains a Python module which provides access to most
 of the PocketSphinx API.
 .
 This package contains the extension built for the Python debug interpreter.

=== debian/rules ===
#!/usr/bin/make -f


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr --mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--with-sphinxbase=auto CFLAGS="$(CFLAGS)"

build: build-stamp
build-stamp: config.status
	dh_testdir
	$(MAKE)
	$(RM) -r python/build
	cd python && python2.5 setup.py build
	cd python && python2.5-dbg setup.py build
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean
	$(RM) -r python/build

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
	cd python && python2.5 setup.py install --root=$(CURDIR)/debian/python-pocketsphinx
	cd python && python2.5-dbg setup.py install --root=$(CURDIR)/debian/python-pocketsphinx-dbg
	mkdir -p debian/python-pocketsphinx/usr/share/doc/python-pocketsphinx
	dh_installexamples -p python-pocketsphinx python/ps_test.py
	find debian/python-*-dbg ! -type d ! -name '*.so' | xargs rm -f
	find debian/python-*-dbg -depth -empty -exec rmdir {} \;
	find debian -name '*.py[co]' | xargs rm -f

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_install --sourcedir=debian/tmp
	dh_installman
	dh_link
	dh_strip --exclude=_d.so
	rm -rf debian/python-pocketsphinx-dbg/usr/share/doc/python-pocketsphinx-dbg
	ln -s python-pocketsphinx \
		debian/python-pocketsphinx-dbg/usr/share/doc/python-pocketsphinx-dbg
	dh_compress -X.py
	dh_fixperms
	dh_pysupport
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps -V "libpocketsphinx1 (>=0.6)"
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean clean1 binary-indep binary-arch binary install

## pocketsphinx 0.6.1-2

=== debian/changelog ===
pocketsphinx (0.6.1-2) unstable; urgency=low

  * Optified

 -- Marcin Mielniczuk <marmistrz@inboxalias.com>  Sat, 15 Mar 2014 19:52:13 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: pocketsphinx
 Priority: extra
 Maintainer: Gopalakrishna Bhat A <gopalakbhat@gmail.com>
-Build-Depends: debhelper (>= 5), autotools-dev, libsphinxbase-dev, libgstreamer0.10-dev, libgstreamer-plugins-base0.10-dev, libasound2-dev, python2.5-dev, python2.5-dbg, python-support (>= 0.3)
+Build-Depends: debhelper (>= 5), autotools-dev, libsphinxbase-dev, libgstreamer0.10-dev, libgstreamer-plugins-base0.10-dev, libasound2-dev, python2.5-dev, python2.5-dbg, python-support (>= 0.3), maemo-optify
 Standards-Version: 3.7.2
 Section: libs

=== debian/rules ===
--- 
+++ 
@@ -77,6 +77,7 @@
 	dh_installdeb
 	dh_shlibdeps -V "libpocketsphinx1 (>=0.6)"
 	dh_gencontrol
+	maemo-optify
 	dh_md5sums
 	dh_builddeb

## pocketsphinx 0.8

=== debian/changelog ===
pocketsphinx (0.8-5) unstable; urgency=medium

  * Use dh-autoreconf (Closes: #727268)

 -- Samuel Thibault <sthibault@debian.org>  Fri, 22 Aug 2014 00:02:05 +0200

pocketsphinx (0.8-4) unstable; urgency=low

  * rules: remove python/pocketsphinx.c on clean to make it regenerated with
    fixed cython.
  * Bump Standards-Version to 3.9.5 (no changes).
  * Ignore testsuite result on big-endian archs.  They are supposed to be
    supported, just seemingly have some (already reported) bugs
    (Closes: #734278).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 05 Jan 2014 17:13:27 +0100

pocketsphinx (0.8-3) unstable; urgency=low

  * docs: Do not ship useless README file (Closes: #706661)
  * control: Add missiong python-pocketsphinx dependency on python-sphinxbase
    (Closes: #706663). Thanks Paul Wise for the report!

 -- Samuel Thibault <sthibault@debian.org>  Fri, 03 May 2013 11:00:56 +0200

pocketsphinx (0.8-2) unstable; urgency=low

  * control: Build-Depend on gstreamer0.10-plugins-base to get the
    audioresample plugin, needed for test_gst (Closes: #705753)

 -- Samuel Thibault <sthibault@debian.org>  Fri, 19 Apr 2013 16:44:51 +0200

pocketsphinx (0.8-1) unstable; urgency=low

  * Initial release (Closes: #697152)

 -- Samuel Thibault <sthibault@debian.org>  Wed, 02 Jan 2013 02:14:16 +0100

=== debian/control ===
Source: pocketsphinx
Priority: extra
Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
Uploaders: Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper (>= 8.0.0), dh-autoreconf, pkg-config, doxygen,
 libsphinxbase-dev, libgstreamer0.10-dev, libgstreamer-plugins-base0.10-dev,
 gstreamer0.10-plugins-base,
 python-all-dev (>= 2.6.6-3~), python-all-dbg, cython
Standards-Version: 3.9.5
Section: sound
Homepage: http://cmusphinx.sourceforge.net/
Vcs-Git: git://git.debian.org/pkg-a11y/pocketsphinx.git
Vcs-Browser: http://git.debian.org/?p=pkg-a11y/pocketsphinx.git;a=summary

Package: pocketsphinx
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, libjs-jquery
Description: Speech recognition tool
 CMU Sphinx is a large vocabulary, speaker-independent continuous speech
 recognition engine.
 .
 This package contains end-user speech recognition tools.

Package: gstreamer0.10-pocketsphinx
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Speech recognition tool - gstreamer plugin
 CMU Sphinx is a large vocabulary, speaker-independent continuous speech
 recognition engine.
 .
 This package contains the gstreamer plugin

Package: pocketsphinx-hmm-en-hub4wsj
Architecture: all
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Speech recognition tool - front-end library development files
 CMU Sphinx is a large vocabulary, speaker-independent continuous speech
 recognition engine.
 .
 This package contains the default US English acoustic model for
 PocketSphinx.  It was trained from 330 hours of broadcast news and
 close-talking microphone speech downsampled to 8kHz.

Package: pocketsphinx-lm-en-hub4
Architecture: all
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Speech recognition tool - front-end library development files
 CMU Sphinx is a large vocabulary, speaker-independent continuous speech
 recognition engine.
 .
 This package contains the default language model for PocketSphinx.
 It was trained from approximately 160 million words of broadcast news
 text from the HUB4 corpus, and has a vocabulary of 5000 word types.

Package: pocketsphinx-hmm-zh-tdt
Architecture: all
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Speech recognition tool - front-end library development files
 CMU Sphinx is a large vocabulary, speaker-independent continuous speech
 recognition engine.
 .
 This package contains the default Mandarin acoustic model for
 PocketSphinx.  It was trained from 50 hours of broadcast news and
 conversation speech downsampled to 8kHz.

Package: pocketsphinx-lm-zh-hans-gigatdt
Architecture: all
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Speech recognition tool - front-end library development files
 CMU Sphinx is a large vocabulary, speaker-independent continuous speech
 recognition engine.
 .
 This package contains the default Simplified Chinese language model
 for PocketSphinx.  It was trained from Gigaword-2 and TDT4 news
 corpora, and has a vocabulary of 5000 word types.

Package: pocketsphinx-lm-zh-hant-gigatdt
Architecture: all
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Speech recognition tool - front-end library development files
 CMU Sphinx is a large vocabulary, speaker-independent continuous speech
 recognition engine.
 .
 This package contains the default Traditional Chinese language model
 for PocketSphinx.  It was trained from Gigaword-2 and TDT4 news
 corpora, and has a vocabulary of 5000 word types.

Package: pocketsphinx-hmm-en-tidigits
Architecture: all
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Speech recognition tool - front-end library development files
 CMU Sphinx is a large vocabulary, speaker-independent continuous speech
 recognition engine.
 .
 This package contains an acoustic model and accompanying "language
 model" trained specifically for connected digit recognition.  It was
 trained from the TIDIGITS corpus of spoken digits, recorded on a
 close-talking microphone and downsampled to 8kHz.

Package: libpocketsphinx-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libpocketsphinx1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Speech recognition tool - front-end library development files
 CMU Sphinx is a large vocabulary, speaker-independent continuous speech
 recognition engine.
 .
 This package contains header files and static libraries for devloping programs
 that use the Pocket Shinx frontend.

Package: libpocketsphinx1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: pocketsphinx-hmm-en-hub4wsj | pocketsphinx-hmm-zh-tdt | pocketsphinx-hmm-en-tidigits,
 pocketsphinx-lm-en-hub4 | pocketsphinx-lm-zh-hans-gigatdt | pocketsphinx-lm-zh-hant-gigatdt
Description: Speech recognition tool - front-end library
 CMU Sphinx is a large vocabulary, speaker-independent continuous speech
 recognition engine.
 .
 This package contains the frontend shared library

Package: python-pocketsphinx
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-sphinxbase
Description: Speech recognition tool - python bindings
 CMU Sphinx is a large vocabulary, speaker-independent continuous speech
 recognition engine.
 .
 This package contains python bindings for libpocketsphinx.

Package: python-pocketsphinx-dbg
Section: debug
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pocketsphinx
 (= ${binary:Version})
Description: Speech recognition tool - python bindings
 CMU Sphinx is a large vocabulary, speaker-independent continuous speech
 recognition engine.
 .
 This package contains python bindings for libpocketsphinx.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_BUILD_HARDENING=1

PYVERS=$(shell pyversions -r)

%:
	dh $@  --with autoreconf,python2

override_dh_auto_configure:
	dh_auto_configure -- --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_build:
	dh_auto_build
	$(RM) -r python/build
	set -e; \
	for PYTHON in $(PYVERS); do \
		(cd python && $$PYTHON setup.py build); \
	done
	set -e; \
	for PYTHON in $(PYVERS); do \
		(cd python && $$PYTHON-dbg setup.py build); \
	done

# Ignore testsuite failure on big-endian archs
ifneq (,$(filter $(shell dpkg-architecture -qDEB_HOST_ARCH),mips powerpc powerpcspe ppc64 s390x sparc sparc64))
override_dh_auto_test:
	-dh_auto_test
endif

override_dh_clean:
	dh_clean
	-rm -f python/pocketsphinx.c
	-$(RM) -r python/build

override_dh_installdocs:
	dh_installdocs
	ln -sf /usr/share/javascript/jquery/jquery.js debian/pocketsphinx/usr/share/doc/pocketsphinx/html/jquery.js

override_dh_auto_install:
	dh_auto_install
	for file in $$(find debian/tmp/usr/lib/ -name "*.la"); do \
		rm $$file ; \
	done
	set -e; \
	for PYTHON in $(PYVERS); do \
	    (cd python && $$PYTHON setup.py install --install-layout=deb --root=$(CURDIR)/debian/python-pocketsphinx) ; \
	done
	set -e; \
	for PYTHON in $(PYVERS); do \
	    (cd python && $$PYTHON-dbg setup.py install --install-layout=deb --root=$(CURDIR)/debian/python-pocketsphinx-dbg) ; \
	done

=== debian/watch ===
version=3
http://sf.net/cmusphinx/pocketsphinx-(.*)\.tar\.gz

## pocketsphinx 0.8+5prealpha

=== debian/changelog ===
pocketsphinx (0.8+5prealpha-2) unstable; urgency=medium

  * watch: Generalize URL.
  * compat: Bump to 9.
  * control: Bump debhelper build-dependency accordingly.
  * rules: Clear, use dh_link to build jquery.js link (Closes: Bug#817242).
  * control: Bump Standards-Version to 3.9.8 (no change).

 -- Samuel Thibault <sthibault@debian.org>  Mon, 23 May 2016 00:01:16 +0200

pocketsphinx (0.8+5prealpha-1) unstable; urgency=medium

  * New upstream release.
    - Rename libpocketsphinx1 to libpocketsphinx3 according to soname bump.
    - Remove python-pocketsphinx-dbg package.
    - Rename gstreamer0.10-pocketsphinx to gstreamer1.0-pocketsphinx according
    to upgrade to newer gstreamer.
    - Remove python-pocketsphinx-dbg package.
    - control: Replace cython with swig. Add dh-python build-dep. Bump
    gstreamer version to 1.0 (Closes: #785864). Bump libsphinxbase-dev
    dependency and add swig-sphinxbase.
    - rules: Remove ad-hoc python rules.
    - python-pocketsphinx.install: Install files.
  * watch: drop odd versions.
  * Bump Standards-Version to 3.9.6 (no changes).
  * control: Drop multiarch-support pre-depend.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 24 Oct 2015 16:23:01 +0200

=== debian/control ===
Source: pocketsphinx
Priority: extra
Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
Uploaders: Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper (>= 9.0.0), dh-autoreconf, pkg-config, doxygen,
 libsphinxbase-dev (>= 0.8+5prealpha~), swig-sphinxbase, libgstreamer1.0-dev, libgstreamer-plugins-base1.0-dev,
 gstreamer1.0-plugins-base,
 python-all-dev (>= 2.6.6-3~), python-all-dbg, swig, dh-python, libjs-jquery
Standards-Version: 3.9.8
Section: sound
Homepage: http://cmusphinx.sourceforge.net/
Vcs-Git: git://git.debian.org/pkg-a11y/pocketsphinx.git
Vcs-Browser: http://git.debian.org/?p=pkg-a11y/pocketsphinx.git;a=summary

Package: pocketsphinx
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, libjs-jquery
Description: Speech recognition tool
 CMU Sphinx is a large vocabulary, speaker-independent continuous speech
 recognition engine.
 .
 This package contains end-user speech recognition tools.

Package: gstreamer1.0-pocketsphinx
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Speech recognition tool - gstreamer plugin
 CMU Sphinx is a large vocabulary, speaker-independent continuous speech
 recognition engine.
 .
 This package contains the gstreamer plugin

Package: pocketsphinx-en-us
Architecture: all
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Speech recognition tool - US English language model
 CMU Sphinx is a large vocabulary, speaker-independent continuous speech
 recognition engine.
 .
 This package contains the default US English language model for
 PocketSphinx.

Package: libpocketsphinx-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libpocketsphinx3 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Speech recognition tool - front-end library development files
 CMU Sphinx is a large vocabulary, speaker-independent continuous speech
 recognition engine.
 .
 This package contains header files and static libraries for devloping programs
 that use the Pocket Shinx frontend.

Package: libpocketsphinx3
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: pocketsphinx-hmm-en-hub4wsj | pocketsphinx-hmm-zh-tdt | pocketsphinx-hmm-en-tidigits,
 pocketsphinx-lm-en-hub4 | pocketsphinx-lm-zh-hans-gigatdt | pocketsphinx-lm-zh-hant-gigatdt
Description: Speech recognition tool - front-end library
 CMU Sphinx is a large vocabulary, speaker-independent continuous speech
 recognition engine.
 .
 This package contains the frontend shared library

Package: python-pocketsphinx
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-sphinxbase
Description: Speech recognition tool - python bindings
 CMU Sphinx is a large vocabulary, speaker-independent continuous speech
 recognition engine.
 .
 This package contains python bindings for libpocketsphinx.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@  --with autoreconf,python2

# Ignore testsuite failure on big-endian archs
ifneq (,$(filter $(shell dpkg-architecture -qDEB_HOST_ARCH),mips powerpc powerpcspe ppc64 s390x sparc sparc64))
override_dh_auto_test:
	-dh_auto_test
endif

override_dh_clean:
	dh_clean
	-rm -f python/pocketsphinx.c
	-$(RM) -r python/build

override_dh_auto_install:
	dh_auto_install
	for file in $$(find debian/tmp/usr/lib/ -name "*.la"); do \
		rm $$file ; \
	done

=== debian/watch ===
version=3
http://sf.net/cmusphinx/ pocketsphinx(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## pocketsphinx 0.8+5prealpha+1

=== debian/changelog ===
pocketsphinx (0.8+5prealpha+1-2) unstable; urgency=medium

  * Make testsuite just fail on big-endian archs, which just don't work yet.
  * control: Build-depend on python3-all-dev, add python3-pocketsphinx package.
  * rules: Add rules for building python3 packages.
  * docs: Fix source path accordingly.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 28 Apr 2018 12:09:16 +0200

pocketsphinx (0.8+5prealpha+1-1) unstable; urgency=medium

  * Team upload

  [ Samuel Thibault ]
  * Use canonical anonscm vcs URL.
  * control: Update maintainer mailing list.
  * rules: Use DEB_BUILD_ARCH_ENDIAN instead of hardcoding a list.
  * control: Migrate priority to optional.
  * control: Bump Standards-Version to 4.1.1 (no change)

  [ Paul Gevers ]
  * New upstream release
  * Drop obsolete patch
  * Bump debhelper compat level to 10
  * Fix watch file for version mangling (and hope upstream doesn't release
    again with the same version name)
  * Enable hardening
  * Clarify license of doc/doxy2swig.py with author
  * Don't ship the static library in python-pocketsphinx
  * Lintian:
    - Add fix-spelling-mistakes-found-by-lintian.patch
    - Update case for Python and GStreamer in description

 -- Paul Gevers <elbrus@debian.org>  Sat, 18 Nov 2017 20:33:51 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,19 @@
 Source: pocketsphinx
-Priority: extra
-Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
+Priority: optional
+Maintainer: Debian Accessibility Team <pkg-a11y-devel@lists.alioth.debian.org>
 Uploaders: Samuel Thibault <sthibault@debian.org>
-Build-Depends: debhelper (>= 9.0.0), dh-autoreconf, pkg-config, doxygen,
+Build-Depends: debhelper (>= 10~), pkg-config, doxygen,
  libsphinxbase-dev (>= 0.8+5prealpha~), swig-sphinxbase, libgstreamer1.0-dev, libgstreamer-plugins-base1.0-dev,
  gstreamer1.0-plugins-base,
- python-all-dev (>= 2.6.6-3~), python-all-dbg, swig, dh-python, libjs-jquery
-Standards-Version: 3.9.8
+ python-all-dev (>= 2.6.6-3~), python3-all-dev, python-all-dbg, swig, dh-python,
+ libjs-jquery
+Standards-Version: 4.1.1
 Section: sound
 Homepage: http://cmusphinx.sourceforge.net/
-Vcs-Git: git://git.debian.org/pkg-a11y/pocketsphinx.git
-Vcs-Browser: http://git.debian.org/?p=pkg-a11y/pocketsphinx.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/pkg-a11y/pocketsphinx.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-a11y/pocketsphinx.git
+X-Python-Version: >= 2.6
+X-Python3-Version: >= 3.0
 
 Package: pocketsphinx
 Architecture: any
@@ -26,11 +29,11 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: Speech recognition tool - gstreamer plugin
+Description: Speech recognition tool - GStreamer plugin
  CMU Sphinx is a large vocabulary, speaker-independent continuous speech
  recognition engine.
  .
- This package contains the gstreamer plugin
+ This package contains the GStreamer plugin
 
 Package: pocketsphinx-en-us
 Architecture: all
@@ -72,8 +75,18 @@
 Section: python
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-sphinxbase
-Description: Speech recognition tool - python bindings
+Description: Speech recognition tool - Python bindings
  CMU Sphinx is a large vocabulary, speaker-independent continuous speech
  recognition engine.
  .
- This package contains python bindings for libpocketsphinx.
+ This package contains Python bindings for libpocketsphinx.
+
+Package: python3-pocketsphinx
+Section: python
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, python3-sphinxbase
+Description: Speech recognition tool - Python3 bindings
+ CMU Sphinx is a large vocabulary, speaker-independent continuous speech
+ recognition engine.
+ .
+ This package contains Python3 bindings for libpocketsphinx.

=== debian/rules ===
#!/usr/bin/make -f

PYVERS := $(shell pyversions -r)
PY3VERS := $(shell py3versions -r)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@  --with python2,python3

override_dh_auto_clean:
	set -e ; for pyver in $(PYVERS) $(PY3VERS); do \
	  rm -fr build-$$pyver ; \
	done
	dh_auto_clean

override_dh_auto_configure:
	set -e ; for pyver in $(PYVERS) $(PY3VERS); do \
	  mkdir -p build-$$pyver; \
	  PYTHON=/usr/bin/$$pyver dh_auto_configure -B build-$$pyver ; \
	done

# Big-endian archs do not work yet and create hundreds of gigabytes of log,
# don't even try for now.
ifeq (big,$(shell dpkg-architecture -qDEB_BUILD_ARCH_ENDIAN)))
override_dh_auto_test:
	false
else
override_dh_auto_test:
	set -e ; for pyver in $(PYVERS) $(PY3VERS); do \
	  dh_auto_test -B build-$$pyver ; \
	done
endif

override_dh_auto_install:
	set -e ; for pyver in $(PYVERS) $(PY3VERS); do \
	  dh_auto_install -B build-$$pyver ; \
	done
	for file in $$(find debian/tmp/usr/lib/ -name "*.la" -o -name _pocketsphinx.a); do \
		rm $$file ; \
	done

override_dh_clean:
	dh_clean
	-rm -f python/pocketsphinx.c

=== debian/watch ===
version=3
opts= \
dversionmangle=s/0.8\+//;s/(5prealpha)\+1/$1/ \
http://sf.net/cmusphinx/ pocketsphinx(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## pocketsphinx 0.8.0%2Breal5prealpha%2B1

=== debian/control ===
Source: pocketsphinx
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Accessibility Team <pkg-a11y-devel@alioth-lists.debian.net>
Uploaders: Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper-compat (= 12), pkg-config, doxygen,
 libsphinxbase-dev, libgstreamer1.0-dev, libgstreamer-plugins-base1.0-dev,
Rules-Requires-Root: no
Standards-Version: 4.6.0
Section: sound
Homepage: http://cmusphinx.sourceforge.net/
Vcs-Git: https://salsa.debian.org/a11y-team/pocketsphinx.git
Vcs-Browser: https://salsa.debian.org/a11y-team/pocketsphinx

Package: pocketsphinx
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Speech recognition tool
 CMU Sphinx is a large vocabulary, speaker-independent continuous speech
 recognition engine.
 .
 This package contains end-user speech recognition tools.

Package: gstreamer1.0-pocketsphinx
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends},
         libgstreamer1.0-0 (>= ${gstreamer:Version}~)
XB-GStreamer-Version: ${gstreamer:Version}
XB-GStreamer-Elements: ${gstreamer:Elements}
XB-GStreamer-URI-Sources: ${gstreamer:URISources}
XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
XB-GStreamer-Encoders: ${gstreamer:Encoders}
XB-GStreamer-Decoders: ${gstreamer:Decoders}
Provides: ${gstreamer:Provides}
Description: Speech recognition tool - GStreamer plugin
 CMU Sphinx is a large vocabulary, speaker-independent continuous speech
 recognition engine.
 .
 This package contains the GStreamer plugin

Package: pocketsphinx-en-us
Architecture: all
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Speech recognition tool - US English language model
 CMU Sphinx is a large vocabulary, speaker-independent continuous speech
 recognition engine.
 .
 This package contains the default US English language model for
 PocketSphinx.

Package: libpocketsphinx-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Replaces: pocketsphinx (<< 0.8+5prealpha+1-6)
Breaks: pocketsphinx (<< 0.8+5prealpha+1-6)
Depends: libpocketsphinx3 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, libjs-jquery, libsphinxbase-dev
Description: Speech recognition tool - front-end library development files
 CMU Sphinx is a large vocabulary, speaker-independent continuous speech
 recognition engine.
 .
 This package contains header files and static libraries for developing programs
 that use the Pocket Shinx frontend.

Package: libpocketsphinx3
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: pocketsphinx-en-us
Description: Speech recognition tool - front-end library
 CMU Sphinx is a large vocabulary, speaker-independent continuous speech
 recognition engine.
 .
 This package contains the frontend shared library

Package: swig-pocketsphinx
Section: interpreters
Architecture: all
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Speech recognition tool - pocketsphinx swig helpers
 CMU Sphinx is a large vocabulary, speaker-independent continuous speech
 recognition engine.
 .
 This package contains swig helpers for building pocketsphinx-related swig
 bindings.

Package: pocketsphinx-testdata
Section: libdevel
Architecture: all
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Speech recognition tool - test data for pocketsphinx
 CMU Sphinx is a large vocabulary, speaker-independent continuous speech
 recognition engine.
 .
 This package contains test data for pocketsphinx development.

## pocketsphinx 0.8.0+real5prealpha

=== debian/changelog ===
pocketsphinx (0.8.0+real5prealpha-1ubuntu2) xenial; urgency=medium

  * Merge from Debian (mangling the version).
  * Re-base on current Debian packaging.
  * Enable parallel builds.
  * pocketsphinx: Provide pocketsphinx-utils.
  * Split out a pocketsphinx-doc package.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 09 Feb 2016 16:26:30 +0100

=== debian/control ===
Source: pocketsphinx
Priority: extra
Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
Uploaders: Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper (>= 8.0.0), dh-autoreconf, pkg-config, doxygen,
 libsphinxbase-dev (>= 0.8+5prealpha~), swig-sphinxbase, libgstreamer1.0-dev, libgstreamer-plugins-base1.0-dev,
 gstreamer1.0-plugins-base,
 python-all-dev (>= 2.6.6-3~), python-all-dbg, swig, dh-python
Standards-Version: 3.9.6
Section: sound
Homepage: http://cmusphinx.sourceforge.net/
Vcs-Git: git://git.debian.org/pkg-a11y/pocketsphinx.git
Vcs-Browser: http://git.debian.org/?p=pkg-a11y/pocketsphinx.git;a=summary

Package: pocketsphinx
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: pocketsphinx-utils
Provides: pocketsphinx-utils
Suggests: pocketsphinx-doc
Description: Speech recognition tool
 CMU Sphinx is a large vocabulary, speaker-independent continuous speech
 recognition engine.
 .
 This package contains end-user speech recognition tools.

Package: pocketsphinx-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, libjs-jquery
Replaces: pocketsphinx
Description: Speech recognition tool (documentation)
 CMU Sphinx is a large vocabulary, speaker-independent continuous speech
 recognition engine.
 .
 This package contains the documentation.

Package: gstreamer1.0-pocketsphinx
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Speech recognition tool - gstreamer plugin
 CMU Sphinx is a large vocabulary, speaker-independent continuous speech
 recognition engine.
 .
 This package contains the gstreamer plugin

Package: pocketsphinx-en-us
Architecture: all
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Speech recognition tool - US English language model
 CMU Sphinx is a large vocabulary, speaker-independent continuous speech
 recognition engine.
 .
 This package contains the default US English language model for
 PocketSphinx.

Package: libpocketsphinx-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libpocketsphinx3 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Speech recognition tool - front-end library development files
 CMU Sphinx is a large vocabulary, speaker-independent continuous speech
 recognition engine.
 .
 This package contains header files and static libraries for devloping programs
 that use the Pocket Shinx frontend.

Package: libpocketsphinx3
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: pocketsphinx-hmm-en-hub4wsj | pocketsphinx-hmm-zh-tdt | pocketsphinx-hmm-en-tidigits,
 pocketsphinx-lm-en-hub4 | pocketsphinx-lm-zh-hans-gigatdt | pocketsphinx-lm-zh-hant-gigatdt
Description: Speech recognition tool - front-end library
 CMU Sphinx is a large vocabulary, speaker-independent continuous speech
 recognition engine.
 .
 This package contains the frontend shared library

Package: python-pocketsphinx
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-sphinxbase
Description: Speech recognition tool - python bindings
 CMU Sphinx is a large vocabulary, speaker-independent continuous speech
 recognition engine.
 .
 This package contains python bindings for libpocketsphinx.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_BUILD_HARDENING=1

%:
	dh $@  --parallel --with autoreconf,python2

override_dh_auto_configure:
	dh_auto_configure -- --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

# Ignore testsuite failure on big-endian archs
ifneq (,$(filter $(shell dpkg-architecture -qDEB_HOST_ARCH),mips powerpc powerpcspe ppc64 s390x sparc sparc64))
override_dh_auto_test:
	-dh_auto_test
endif

override_dh_clean:
	dh_clean
	-rm -f python/pocketsphinx.c
	-$(RM) -r python/build

override_dh_installdocs:
	dh_installdocs
	if [ -d debian/pocketsphinx-doc/usr/share/doc/pocketsphinx-doc ]; then \
	  mkdir -p debian/pocketsphinx-doc/usr/share/doc/pocketsphinx; \
	  mv debian/pocketsphinx-doc/usr/share/doc/pocketsphinx-doc/html debian/pocketsphinx-doc/usr/share/doc/pocketsphinx/; \
	  ln -sf ../pocketsphinx/html debian/pocketsphinx-doc/usr/share/doc/pocketsphinx-doc/html; \
	  ln -sf /usr/share/javascript/jquery/jquery.js debian/pocketsphinx-doc/usr/share/doc/pocketsphinx/html/jquery.js; \
	fi

override_dh_auto_install:
	dh_auto_install
	for file in $$(find debian/tmp/usr/lib/ -name "*.la"); do \
		rm $$file ; \
	done

=== debian/watch ===
version=3
http://sf.net/cmusphinx/pocketsphinx-([0-9].*)\.tar\.gz

## pocketsphinx 0.8.0+real5prealpha+1

=== debian/changelog ===
pocketsphinx (0.8.0+real5prealpha+1-6ubuntu4) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 09:38:25 +0100

pocketsphinx (0.8.0+real5prealpha+1-6ubuntu3) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 18:29:16 +0000

pocketsphinx (0.8.0+real5prealpha+1-6ubuntu2) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 18:27:17 +0000

pocketsphinx (0.8.0+real5prealpha+1-6ubuntu1) eoan; urgency=medium

  * Merge from Debian (mangling the version).
    No remaining changes (no need to break/replaces the doc package since the
    doc location is a little bit different)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 Sep 2019 11:43:44 +0200

pocketsphinx (0.8+5prealpha+1-6) unstable; urgency=medium

  [ Samuel Thibault ]
  * tests/tests: Fix temporary directory path.
  * tests/control: Use @builddeps@ instead of copying them.
  * control: Remove X-Python3-Version 3.0
  * watch: Add github url.

  [ Gianfranco Costamagna ]
  * rules: enable parallel builds (Closes: Bug#940478).
  * docs, libpocketsphinx-dev.docs: Move doc from pocketsphinx package to
    libpocketsphinx-dev package (Closes: Bug#940479).
  * pocketsphinx.links,libpocketsphinx-dev.links: Move jquery link accordingly.
  * control: Move libjs-jquery dependency accordingly.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 23 Sep 2019 00:39:30 +0200

pocketsphinx (0.8.0+real5prealpha+1-5ubuntu2) eoan; urgency=medium

  * Merge from Debian (mangling the version).
    Remaining changes:
    - Enable parallel builds (See Debian bug: #940478)
    - Split out a pocketsphinx-doc package (See Debian bug: #940479)
  * Drop changes, useless now:
    - pocketsphinx: Provide pocketsphinx-utils.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 Sep 2019 11:43:44 +0200

pocketsphinx (0.8+5prealpha+1-5) unstable; urgency=medium

  * patches/use_encoding: Fix outdated use of perl encoding pragma.
  * tests: Run tests in autopkgtest.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 28 Aug 2019 23:40:56 +0200

pocketsphinx (0.8+5prealpha+1-4) unstable; urgency=medium

  * control: Set Vcs-* to salsa.debian.org.
  * control: Bump Standards-Version to 4.4.0 (no changes).
  * control: Add GStreamer variables, fix dependencies (Closes: Bug#934376).

 -- Samuel Thibault <sthibault@debian.org>  Sat, 10 Aug 2019 14:33:50 +0200

pocketsphinx (0.8+5prealpha+1-3) unstable; urgency=medium

  * Bump Standards-Version to 4.2.0 (no changes).
  * Remove python-pocketsphinx.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 25 Jul 2019 21:33:57 +0200

=== debian/control ===
Source: pocketsphinx
Priority: optional
Maintainer: Debian Accessibility Team <pkg-a11y-devel@lists.alioth.debian.org>
Uploaders: Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper (>= 10~), pkg-config, doxygen,
 libsphinxbase-dev (>= 0.8+5prealpha~), swig-sphinxbase, libgstreamer1.0-dev, libgstreamer-plugins-base1.0-dev,
 gstreamer1.0-plugins-base,
 python3-all-dev, swig, dh-python,
 libjs-jquery
Standards-Version: 4.4.0
Section: sound
Homepage: http://cmusphinx.sourceforge.net/
Vcs-Git: https://salsa.debian.org/a11y-team/pocketsphinx.git
Vcs-Browser: https://salsa.debian.org/a11y-team/pocketsphinx

Package: pocketsphinx
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Speech recognition tool
 CMU Sphinx is a large vocabulary, speaker-independent continuous speech
 recognition engine.
 .
 This package contains end-user speech recognition tools.

Package: gstreamer1.0-pocketsphinx
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends},
         libgstreamer1.0-0 (>= ${gstreamer:Version}~)
XB-GStreamer-Version: ${gstreamer:Version}
XB-GStreamer-Elements: ${gstreamer:Elements}
XB-GStreamer-URI-Sources: ${gstreamer:URISources}
XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
XB-GStreamer-Encoders: ${gstreamer:Encoders}
XB-GStreamer-Decoders: ${gstreamer:Decoders}
Provides: ${gstreamer:Provides}
Description: Speech recognition tool - GStreamer plugin
 CMU Sphinx is a large vocabulary, speaker-independent continuous speech
 recognition engine.
 .
 This package contains the GStreamer plugin

Package: pocketsphinx-en-us
Architecture: all
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Speech recognition tool - US English language model
 CMU Sphinx is a large vocabulary, speaker-independent continuous speech
 recognition engine.
 .
 This package contains the default US English language model for
 PocketSphinx.

Package: libpocketsphinx-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Replaces: pocketsphinx (<< 0.8+5prealpha+1-6)
Breaks: pocketsphinx (<< 0.8+5prealpha+1-6)
Depends: libpocketsphinx3 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, libjs-jquery
Description: Speech recognition tool - front-end library development files
 CMU Sphinx is a large vocabulary, speaker-independent continuous speech
 recognition engine.
 .
 This package contains header files and static libraries for developing programs
 that use the Pocket Shinx frontend.

Package: libpocketsphinx3
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: pocketsphinx-hmm-en-hub4wsj | pocketsphinx-hmm-zh-tdt | pocketsphinx-hmm-en-tidigits,
 pocketsphinx-lm-en-hub4 | pocketsphinx-lm-zh-hans-gigatdt | pocketsphinx-lm-zh-hant-gigatdt
Description: Speech recognition tool - front-end library
 CMU Sphinx is a large vocabulary, speaker-independent continuous speech
 recognition engine.
 .
 This package contains the frontend shared library

Package: python3-pocketsphinx
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, python3-sphinxbase
Description: Speech recognition tool - Python3 bindings
 CMU Sphinx is a large vocabulary, speaker-independent continuous speech
 recognition engine.
 .
 This package contains Python3 bindings for libpocketsphinx.

=== debian/rules ===
#!/usr/bin/make -f

PY3VERS := $(shell py3versions -r)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --parallel --with python3

override_dh_auto_clean:
	set -e ; for pyver in $(PY3VERS); do \
	  rm -fr build-$$pyver ; \
	done
	dh_auto_clean

override_dh_auto_configure:
	set -e ; for pyver in $(PY3VERS); do \
	  mkdir -p build-$$pyver; \
	  PYTHON=/usr/bin/$$pyver dh_auto_configure -B build-$$pyver ; \
	done

ifeq (big,$(shell dpkg-architecture -qDEB_BUILD_ARCH_ENDIAN))
override_dh_auto_test:
	echo "Big-endian archs do not work yet and create hundreds of gigabytes of log, don't even try for now."
	false
else
override_dh_auto_test:
	set -e ; for pyver in $(PY3VERS); do \
	  dh_auto_test -B build-$$pyver ; \
	done
endif

override_dh_auto_install:
	set -e ; for pyver in $(PY3VERS); do \
	  dh_auto_install -B build-$$pyver ; \
	done
	for file in $$(find debian/tmp/usr/lib/ -name "*.la" -o -name _pocketsphinx.a); do \
		rm $$file ; \
	done

override_dh_shlibdeps:
	dh_shlibdeps
	LD_LIBRARY_PATH=debian/libpocketsphinx3/usr/lib/$(DEB_HOST_MULTIARCH):$(LD_LIBRARY_PATH) \
		dh_gstscancodecs

override_dh_clean:
	dh_clean
	-rm -f python/pocketsphinx.c

=== debian/watch ===
version=3
opts= \
dversionmangle=s/0.8\+//;s/(5prealpha)\+1/$1/ \
http://sf.net/cmusphinx/ pocketsphinx(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
opts=filenamemangle=s/.+\/v?@ANY_VERSION@@ARCHIVE_EXT@/pocketsphinx-$1$2/ \
  https://github.com/cmusphinx/pocketsphinx/releases .*/.*@ANY_VERSION@@ARCHIVE_EXT@
